Package org.sunflow.image

# Class Bitmap

java.lang.Object
org.sunflow.image.Bitmap

Direct Known Subclasses:
  `BitmapBlack`, `BitmapG8`, `BitmapGA8`, `BitmapRGB8`, `BitmapRGBA8`, `BitmapRGBE`, `BitmapXYZ`, `GenericBitmap`

public abstract class Bitmap extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final float`
`INV255`
`protected static final float`
`INV65535`

## Constructor Summary

Constructors
Constructor
Description
`Bitmap()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getHeight()`
`abstract int`
`getWidth()`
`abstract float`
`readAlpha(int x, int y)`
`abstract Color`
`readColor(int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INV255

protected static final float INV255

See Also:
  - Constant Field Values

### INV65535

protected static final float INV65535

See Also:
  - Constant Field Values

## Constructor Details

### Bitmap

public Bitmap()

## Method Details

### getWidth

public abstract int getWidth()

### getHeight

public abstract int getHeight()

### readColor

public abstract Color readColor(int x, int y)

### readAlpha

public abstract float readAlpha(int x, int y)